Bug 490965 - plymouthd: ply-terminal.c:72: ply_terminal_create_device: Assertion `!ply_terminal_has_device (terminal)' failed.
plymouthd: ply-terminal.c:72: ply_terminal_create_device: Assertion `!ply_ter...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-18 13:32 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 09:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-03-18 13:32:43 EDT
Description of problem:

Installing rawhide over serial console in a KVM guest.  After install, when I exit firstboot-tui, a plymouth assertion is displayed.

Version-Release number of selected component (if applicable):

plymouth-system-plugin-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-utils-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-libs-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-scripts-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-gdm-hooks-0.7.0-0.2009.03.09.1.fc11.x86_64
plymouth-plugin-solar-0.7.0-0.2009.03.09.1.fc11.x86_64


How reproducible:


Steps to Reproduce:
1. Install a KVM guest with console=ttyS0
2. When firstboot-tui appears, select "Quit"
  
Actual results:

plymouthd: ply-terminal.c:72: ply_terminal_create_device: Assertion `!ply_terminal_has_device (terminal)' failed.
         error: unexpectedly disconnected from boot status daemon
                                                                  [  OK  ]

Fedora release 10.92 (Rawhide)
Kernel 2.6.29-0.258.rc8.git2.fc11.x86_64 on an x86_64 (/dev/ttyS0)


Expected results:

No assertion message

Additional info:
Comment 1 Chris Ball 2009-03-18 13:40:25 EDT
I've seen this too.  If you add console=tty0 to the kernel command line, it'll boot.  (That's just a workaround, though.)
Comment 2 James Laska 2009-03-18 13:44:50 EDT
I should note that the presence of this issue does not prevent booting.  It's more just a noise during the boot up of a serial-based KVM install.
Comment 3 Ray Strode [halfline] 2009-03-18 16:05:29 EDT
mind giving https://koji.fedoraproject.org/koji/buildinfo?buildID=94694 a go?
Comment 4 James Laska 2009-03-18 16:21:16 EDT
* With the following installed ...

  # rpm -qa "plymouth*"
plymouth-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-gdm-hooks-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-plugin-solar-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-libs-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-utils-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-system-plugin-0.7.0-0.2009.03.10.2.fc11.x86_64
plymouth-scripts-0.7.0-0.2009.03.10.2.fc11.x86_64

* I rebuilt my initrd: 
  # mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)
* I re-enabled firstboot: 
  # rm -f /etc/sysconfig/firstboot; 
  # chkconfig firstboot on
* and rebooted...

The assert is gone. 

Note, from firstboot-tui, I click quit, and the entire boot log is replayed on the screen.  But no assert message is present.
Comment 5 Ray Strode [halfline] 2009-03-19 09:36:51 EDT
great.

Note You need to log in before you can comment on or make changes to this bug.